﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=12.8
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: true
	#IncludeTitle: false
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Private xui As XUI
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Dim sqlstring As String
	Dim today As String 
	Private btnAddAccount As B4XView
	Private btnAddCategory As B4XView
	Private btnPeopleAdd As B4XView
	Private edtAccountName As B4XFloatTextField
	Private edtAccountValue As B4XFloatTextField
	Private edtCatName As B4XFloatTextField
	Private edtPeopleName As B4XFloatTextField
	Private lblBack As B4XView
	Private lblTitle As B4XView
	Private pnlAccount As B4XView
	Private pnlAddFields As B4XView
	Private pnlCategory As B4XView
	Private pnlPeople As B4XView
	Private pnlTitle As B4XView

End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("simpleAdd")
	DateTime.DateFormat = "dd/MM/yyyy"
	today = DateTime.Date(DateTime.Now)
	Log(today)
	
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub aggiungiConto
	Dim lettera As String
	Dim parte As String
	Dim newAccount As String
	Dim newValue As String
	lettera = edtAccountName.Text.CharAt(0)
	parte = edtAccountName.Text.SubString(1)
	newAccount = lettera.ToUpperCase & parte ' Il nuovo valore da aggiungere
	newValue = edtAccountValue.text
	' Verifica se il nuovo elemento esiste già nella tabella
	If  accountExists(newAccount) = False Then
		' Se non esiste, procedi con l'inserimento
		Dim sqlstring As String
		
		sqlstring = "INSERT INTO tbl_conti VALUES (?,?,?)"
		Starter.sql.ExecNonQuery2(sqlstring, Array As Object(Null, newAccount, newValue))
		
		ToastMessageShow("Nuovo conto aggiunto.", False)
		
		
		' Pulisci i campi di input
		edtAccountName.Text = ""
		edtAccountValue.Text = ""
		Sleep(500)
		' Richiama la funzione in Main per aggiornare i dati
		CallSubDelayed(Main, "ottieniContoeSaldo")
	Else
		' Se il conto esiste già, mostra un messaggio o esegui le azioni necessarie
		ToastMessageShow("Il conto già esiste.", True)
	End If
End Sub

Sub addCategory
	Dim newCategory As String
	Dim lettera As String
	Dim parte As String

	lettera = edtCatName.Text.CharAt(0)

	parte = edtCatName.Text.SubString(1)
		
	newCategory = lettera.ToUpperCase & parte
	If categoryExists(newCategory) = False Then
		
	Dim sqlstring As String
	sqlstring = "INSERT INTO tbl_categorie VALUES (?,?)"
	Starter.sql.ExecNonQuery2(sqlstring, Array As Object(Null, newCategory))
		ToastMessageShow("Nuova Categoria Aggiunta.", False)
	Else
		' Se il conto esiste già, mostra un messaggio o esegui le azioni necessarie
		ToastMessageShow("Questa Categoria già esiste.", True)
	End If

End Sub

Sub addPeoples
	Dim newPeople As String
	Dim lettera As String
	Dim parte As String

	lettera = edtPeopleName.Text.CharAt(0)

	parte = edtPeopleName.Text.SubString(1)
		
	newPeople = lettera.ToUpperCase & parte
	
	
    
If peopleExist(newPeople) = False Then
		
	Dim sqlstring As String
	sqlstring = "INSERT INTO tbl_persone VALUES (?,?,?)"
		Starter.sql.ExecNonQuery2(sqlstring, Array As Object(Null, newPeople,0))
	
	
	ToastMessageShow("Nuova Persona Aggiunta.", False)
	
	edtPeopleName.Text = ""
	
Else
	' Se il conto esiste già, mostra un messaggio o esegui le azioni necessarie
	ToastMessageShow("La Persona è già presente.", False)
End If

	
End Sub

Sub peopleExist(newPeople As String) As Boolean
	' Verifica se il conto esiste già nella tabella
	Dim result As Int
	result = Starter.sql.ExecQuerySingleResult2("SELECT COUNT(*) FROM tbl_persone WHERE personaNome = ?", Array As String(newPeople))

	If result > 0 Then
		' Il conto esiste già
		Return True
	Else
		' Il conto non esiste
		Return False
	End If
End Sub

Sub accountExists(newConto As String) As Boolean
	' Verifica se il conto esiste già nella tabella
	Dim result As Int
	result = Starter.sql.ExecQuerySingleResult2("SELECT COUNT(*) FROM tbl_conti WHERE contoNome = ?", Array As String(newConto))

	If result > 0 Then
		' Il conto esiste già
		Return True
	Else
		' Il conto non esiste
		Return False
	End If
End Sub

Sub categoryExists(newCategory As String) As Boolean
	' Verifica se il conto esiste già nella tabella
	Dim result As Int
	result = Starter.sql.ExecQuerySingleResult2("SELECT COUNT(*) FROM tbl_categorie WHERE catName = ?", Array As String(newCategory))

	If result > 0 Then
		' Il conto esiste già
		Return True
	Else
		' Il conto non esiste
		Return False
	End If
End Sub

'	sqlstring = "UPDATE player SET profilepic = ? where playername= ?"
'	sql1.ExecNonQuery2(sqlstring, Array(Buffer, pname))

Private Sub btnPeopleAdd_Click
	
	edtPeopleName.Text = edtPeopleName.Text.Trim 'lm

	If edtPeopleName.Text <>"" Then
		
		addPeoples
	Else
		MsgboxAsync("Il campo è vuoto","Errore")
		
	End If
	
	
End Sub

Private Sub btnAddCategory_Click
	
	
	edtCatName.Text = edtCatName.Text.Trim 'lm

	
	If edtCatName.Text <>"" Then
		addCategory
		
	Else
		MsgboxAsync("Il campo è vuoto","Errore")
		
	End If
	
	
End Sub

Private Sub btnAddAccount_Click
	edtAccountName.Text = edtAccountName.Text.Trim 'lm
	edtAccountValue.Text = edtAccountValue.Text.Trim 'lm
	
	If edtAccountName.Text <>"" And edtAccountValue.Text <> "" Then
		aggiungiConto
		
	Else
		MsgboxAsync("Il campo è vuoto","Errore")
		
	End If
End Sub

Private Sub lblBack_Click
	Activity.Finish
End Sub