﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=9.9
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public sql As SQL
	Public rp As RuntimePermissions
	Dim xui As XUI
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.
	Dim MySafeFolder As String  = rp.GetSafeDirDefaultExternal("db")
	If File.Exists(MySafeFolder,"finanze.db") = False Then
		File.Copy(File.DirAssets,"finanze.db",MySafeFolder,"finanze.db")
		Log("New DB copied")
	
'	Else
'		File.Delete(MySafeFolder,"finanze.db")
'		File.Copy(File.DirAssets,"finanze.db",MySafeFolder,"finanze.db")
		
	End If
	'Questo PC\A53 di Giuliano\Spazio di archiviazione interno\Android\data\aaa.finanze.sql\files\db
	If sql.IsInitialized = False Then
		#if B4J
		Main.sql.InitializeSQLite(xui.DefaultFolder,"finanze.db",True)
		#Else
		sql.Initialize(MySafeFolder,"finanze.db",True)
		#End If
		Log(xui.DefaultFolder)
		Log(MySafeFolder)
		Log("DB Started")
	End If
End Sub

Sub Service_Start (StartingIntent As Intent)
	Service.StopAutomaticForeground 'Starter service can start in the foreground state in some edge cases.
End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub
