﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=12.8
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: true
	#IncludeTitle: false	
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Private Dialog As B4XDialog
	Private DateTemplate As B4XDateTemplate

	Private BGPanel As B4XView
	Private clrPanel As B4XView
	Private Custommove As CustomListView
	Private datePick As SwiftButton
	Private entratecheck As B4XView
	Private lblBack As B4XView
	Private lblTitle As B4XView
	Private pnlTitle As B4XView
	Private trasfcheck As B4XView
	Private uscitecheck As B4XView
	
	Private cmbCategory As B4XComboBox
	Private cmbConto As B4XComboBox
	Private cmbPeople As B4XComboBox
	Private lblBen As B4XView
	Private lblCat As B4XView
	Private lblConto As B4XView
	Private lblDescValue As B4XFloatTextField
	Private lblimporto As B4XFloatTextField
	Private subPanel1 As B4XView
	Private trPanel As B4XView
	Private btnSend As B4XView
	
	Dim xui As XUI
	Dim SomeTime As Long
	Private endValue As B4XComboBox
	Private refreshLabel As B4XView
	Private startValue As B4XComboBox
	Private trxStart As B4XView
	Private trxValue As B4XFloatTextField
	Private txtCend As B4XView
	Private txtCstart As B4XView
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("addTransactions")

	Dialog.Initialize(Activity)
	DateTemplate.Initialize
	DateTemplate.MinYear = 2016
	DateTemplate.MaxYear = 2030
	
	DateTime.DateFormat= "dd/MM/yyyy"
	entratecheck.Checked = True
	Custommove.GetBase.LoadLayout("clvAddMovimento")
	datePick.xLBL.Text  = DateTime.Date(DateTime.Now)
	cmbPeople.SelectedIndex = -1
	loadfields
	getColors
	cmbCategory.cmbBox.RemoveAt(1)
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub loadfields
	PopolaComboBox("tbl_conti", "contoNome", cmbConto)
	PopolaComboBox("tbl_categorie", "catName", cmbCategory)
	
End Sub


Private Sub entratecheck_CheckedChange(Checked As Boolean)
	Custommove.GetBase.RemoveAllViews
	Custommove.GetBase.LoadLayout("clvaddmovimento")
	getColors
	loadfields
	datePick.xLBL.Text  = DateTime.Date(DateTime.Now)
	cmbCategory.cmbBox.RemoveAt(1)
	
End Sub

Private Sub uscitecheck_CheckedChange(Checked As Boolean)
	Custommove.GetBase.RemoveAllViews
	Custommove.GetBase.LoadLayout("clvaddmovimento")
	getColors
	loadfields
	datePick.xLBL.Text  = DateTime.Date(DateTime.Now)
	cmbCategory.cmbBox.RemoveAt(2)
End Sub

Sub getColors

	cmbConto.cmbBox.DropdownTextColor = xui.Color_Blue
	cmbConto.cmbBox.TextColor = xui.Color_White
	
	cmbCategory.cmbBox.DropdownTextColor = xui.Color_Blue
	cmbCategory.cmbBox.TextColor = xui.Color_White
	
	cmbPeople.cmbBox.DropdownTextColor = xui.Color_Blue
	cmbPeople.cmbBox.TextColor = xui.Color_White

End Sub

Sub PopolaComboBox(tableName As String, columnName As String, cmbBox As B4XComboBox)
	Dim result As ResultSet
	result = Starter.sql.ExecQuery("SELECT * FROM " &  tableName & " ORDER BY " & columnName)

	If result.RowCount > 0 Then
		Do While result.NextRow
			cmbBox.cmbBox.Add(result.GetString(columnName))
		Loop
	Else
		
		Log($"Nessun elemento nella tabella "$ & tableName)
	End If

	result.Close
End Sub

Private Sub btnSend_Click
	
	creaentrata


End Sub

Private Sub cmbCategory_SelectedIndexChanged (Index As Int)


	If entratecheck.Checked Then
		If cmbCategory.GetItem(Index) = "Riscossione" Then
			cmbPeople.cmbBox.Clear
			PopolaComboBox("tbl_persone", "PersonaNome", cmbPeople)

		Else
			cmbPeople.cmbBox.Clear
		End If
	Else If uscitecheck.Checked Then
		If cmbCategory.GetItem(Index) = "Prestito" Then
			cmbPeople.cmbBox.Clear
			PopolaComboBox("tbl_persone", "PersonaNome", cmbPeople)
			
		Else
			cmbPeople.cmbBox.Clear
		End If
	End If




	
End Sub

Private Sub datePick_Click
	Wait For (Dialog.ShowTemplate(DateTemplate, "", "", "CANCEL")) Complete (Result As Int)
	If Result = xui.DialogResponse_Positive Then
		datePick.xLBL.Text =  DateTime.Date(DateTemplate.Date)
	End If
End Sub

Private Sub trasfcheck_CheckedChange(Checked As Boolean)
	
	Custommove.GetBase.RemoveAllViews
	
	Custommove.GetBase.LoadLayout("clv_trasferimento")
	
	PopolaComboBox("tbl_conti", "contoNome", startValue)
	PopolaComboBox("tbl_conti", "contoNome", endValue)
	datePick.xLBL.Text  = DateTime.Date(DateTime.Now)
	startValue.cmbBox.DropdownTextColor = xui.Color_Blue
	startValue.cmbBox.TextColor = xui.Color_White
	
	endValue.cmbBox.DropdownTextColor = xui.Color_Blue
	
	endValue.cmbBox.TextColor = xui.Color_White
	
	
	startValue.SelectedIndex = 0

	endValue.SelectedIndex = 1
	
	trxStart.Text = "Trasferisci"

	
End Sub

Private Sub refreshLabel_Click
	Dim a As Int
	Dim b As Int
	
	a = startValue.IndexOf(startValue.SelectedItem)
	b = endValue.IndexOf(endValue.SelectedItem)
	
	startValue.SelectedIndex = b
	endValue.SelectedIndex = a
End Sub


Sub creaTrasferimento 'funzionante
	' Converti la data in formato long
	DateTime.DateFormat = "dd/MM/yyyy"
'	Dim dataString As String = datePick.xLBL.Text

	' Log(dataString)

	SomeTime =  DateTemplate.Date 'DateTime.DateParse(datePick.xLBL.Text)
	Log(SomeTime)
	Dim txtconto As String = startValue.SelectedItem
	Dim txtconto2 As String = endValue.SelectedItem
	Dim txtimporto As String = trxValue.Text
	Dim check As Boolean = False

	Dim result As ResultSet
	Dim sqlstring As String

	sqlstring = "SELECT * FROM tbl_conti WHERE contoNome = ?"
	result = Starter.sql.ExecQuery2(sqlstring, Array As String(txtconto))

	Do While result.NextRow
		' Esegui le azioni necessarie qui
		' Ad esempio, puoi leggere i dati dalla riga corrente con result.GetString("nome_colonna")
		' e utilizzarli nel tuo codice
		If result.GetString("contoNome") = startValue.SelectedItem Then
			If result.GetString("contoSaldo") >= txtimporto Then
				check = True
				Exit
			Else
	
	xui.MsgboxAsync("Sul conto " & result.GetString("contoNome") & " hai solo " & result.GetString("contoSaldo") & " €", "Errore")
		
			End If
		End If
	Loop

	If check Then
		sqlstring = "INSERT INTO tbl_movimenti (movdata, movtipo, movconto, movcategoria, movdescrizione, movimporto) VALUES (?,?,?,?,?,?)"
		Starter.sql.ExecNonQuery2(sqlstring, Array As Object(SomeTime, "Uscita", txtconto, "Trasferimento", txtconto2, -txtimporto))

		sqlstring = "INSERT INTO tbl_movimenti (movdata, movtipo, movconto, movcategoria, movdescrizione, movimporto) VALUES (?,?,?,?,?,?)"
		Starter.sql.ExecNonQuery2(sqlstring, Array As Object(SomeTime, "Entrata", txtconto2, "Trasferimento", txtconto, (txtimporto)))

		xui.MsgboxAsync("Trasferimento Completato","Success")
		
		trxValue.text = ""
	End If


	
End Sub

Private Sub trxStart_Click

	creaTrasferimento

End Sub


Sub creaentrata
	Dim selected As String
	Dim txtconto As String = cmbConto.SelectedItem
	Dim txtdesc As String = lblDescValue.Text
	Dim txtcat As String = cmbCategory.SelectedItem
	Dim txtbenef As String = cmbPeople.SelectedItem
	Dim txtimporto As String = lblimporto.Text
	
	Dim result As ResultSet
	Dim sqlstring As String
	Dim check As Boolean = False
	
	If entratecheck.Checked Then
		
		selected = "Entrata"
		
	Else If uscitecheck.Checked Then
		
		selected = "Uscita"
		
		txtimporto = -txtimporto
	End If

	' Converti la data in formato long
	DateTime.DateFormat = "dd/MM/yyyy"
'	Dim dataString As String = datePick.xLBL.Text
'	
'	Log(dataString)

	SomeTime = DateTemplate.Date  'DateTime.DateParse(datePick.xLBL.Text)
	
	Log(SomeTime)

Dim check As Boolean
Dim sqlstring As String
Dim result As ResultSet

If selected = "Uscita" Then
    sqlstring = "SELECT * FROM tbl_conti WHERE contoNome = ?"
    result = Starter.sql.ExecQuery2(sqlstring, Array As String(txtconto))

    Do While result.NextRow
        Log(result.GetString("contoNome"))
        Log(txtconto)
        
        If result.GetString("contoNome") = txtconto Then
            Log(result.GetString("contoSaldo"))
            Log(txtimporto)
            
            If result.GetString("contoSaldo") >= -txtimporto Then
                check = True
            Else
                xui.MsgboxAsync("Sul conto " & result.GetString("contoNome") & " hai solo " & result.GetString("contoSaldo") & " €", "Errore")
                check = False
            End If
        End If
    Loop
Else
    check = True
End If

If cmbCategory.SelectedItem = "Riscossione" Then
    sqlstring = "SELECT * FROM tbl_persone WHERE PersonaNome = ?"
    result = Starter.sql.ExecQuery2(sqlstring, Array As String(cmbPeople.SelectedItem))

    Do While result.NextRow
        Log(result.GetString("PersonaNome"))
        
        If result.GetString("PersonaNome") = cmbPeople.SelectedItem Then
            Log(result.GetString("PersonaImporto"))
            Log(txtimporto)
            
            If result.GetString("PersonaImporto") >= txtimporto Then
                check = True
            Else
				check = False
                xui.MsgboxAsync(result.GetString("PersonaNome") & " hai un debito di " & result.GetString("PersonaImporto") & "€", "Errore")
            End If
        End If
    Loop
End If
	
If check Then
    sqlstring = "INSERT INTO tbl_movimenti (movdata, movtipo, movconto, movcategoria, movdescrizione, movpersona, movimporto) VALUES (?, ?, ?, ?, ?, ?, ?)"
		Starter.sql.ExecNonQuery2(sqlstring, Array As Object(SomeTime, selected, txtconto, txtcat, txtdesc, txtbenef, txtimporto))
    xui.MsgboxAsync("Transazione inserita", "Successo")
End If


End Sub



Private Sub lblBack_Click
	Activity.Finish
End Sub